/* abacus.h header file version v. 0.58 */


/***************************  function prototypes  ***************************/

/* miscellaneous interface and other stuff */

void InitGlobals(void);
ScoreArray *InitArray(char utype);
void ShowStartupScreen(void);
ExptInfo* GetExptInfoStruct(void);
ExptInfo* NextExptInfoPtr(void);
void ShowCurrentInfo(void);
void WriteExptInfo(ExptInfo *exptPtr, FILE *destPtr);
void WriteExptList(boolean toDisk);

/* various calculations */

void GetStats(GeneData*);
void GetScoreStats(int type);

/* for generating reference gene data (these are the main functions called */
/* by the submenu GenerateRefGenes) */

int PermuteValues(GeneData*, GeneData**);
void UniformIntrons(void);
void PermuteIIDs(void);
void LogNormalExons(void);
void PermuteExons(void);
void ExponentialExons(void);

/* for entering and using atomic coordinates from a crystal structure file */
/* (these are the main functions called by the AtomicCoordinates submenu): */

long GetNumPairs(int);             
void RadiusOfGyration(char);
void ExtensityScores(void);

void WriteResArray(boolean toDisk);
void LoadResScores(void);
void AssignResScores(void);
void CentralityScores(void);
void CentripetalProfile(void);

/* for evaluating the ref hypothesis & recording results: */

void RecordExptInfo(char whichTest);
void EvaluateRef(int whichSet);

/* submenus and other interface functions */
	     
int ChooseExons(void);
int ChooseRefs(void);
void GenerateRefGenes(void);  
void GeneDataMenu(void);
void ResScoresMenu(void);
void ExtensityMenu(void);
void ElementArrays(void);       
void ChangeSettings(void);    /* allows user to change several globals */
char GetMainCommand(void);	       /* gets command for main menu in main()  */
void DoMainCommand(char);
void DoLastRites(void);

/* end of this header file */
