/* infotype.h */

typedef struct
	{
	char sourceFile[kMaxNameLength];
	int size;  /* codons for exons; bp for introns */
	float relativePhaseFreqs[3];
	int numValues;
	} ObsGeneInfo;

typedef struct
	{
	char refModel[80];
	char sourceFile[kMaxNameLength];
	int numSets;
	int lowerLimit;
	boolean hasPhaseBias;
	boolean hasPolarity;
	} RefGeneInfo;

typedef struct
	{
	char sourceFile[kMaxNameLength];
	int size; /* num inter-nucleotide positions for array; num residues for crystal structure */
	int param1;
	float ave; 
	float stdDev;
	char comment[80];
	} ProtInfo;

typedef struct
	{
	char whichType;
	char scoringRule[80];
	int  param1;   /* stores maxArrayScore or other parameter */
	float param2; /* stores cutoff or other parameter */
	boolean weightAverage;
	} ScoringInfo;

typedef struct ExptInfo
	{
	int exptNum;
	char comment[80];
	char	whichType;
	ObsGeneInfo *obsPtr;
	RefGeneInfo *refPtr;
	ProtInfo *protPtr;
	ScoringInfo *scorPtr;
	float	obsGeneScore;
	float	obsSD;
	float	refMean;
	float	meanRefSD;
	float	sDRefMean;
	float	pValue;
	struct ExptInfo	*next;
	} ExptInfo;
